0

I'm trying to setup DKMS for the Intel ixgbe driver. Below are the steps that seemed most correct, however I am not successful with this or other variations. I'm using CentOS 7.

I'm using the latest driver from here: https://sourceforge.net/projects/e1000/files/ixgbe%20stable/5.3.5/

After download, my steps:

sudo tar xf ./ixgbe-5.3.5 -C /usr/src

I created a dkms.conf file based on the info from here: https://www.xkyle.com/building-linux-packages-for-kernel-drivers/

File: /usr/src/ixgbe-5.3.5/dkms.conf

MAKE="make -C src/ KERNELDIR=/lib/modules/${kernelver}/build"
CLEAN="make -C src/ clean"
PACKAGE_NAME="ixgbe-dkms"
PACKAGE_VERSION=5.3.5
BUILT_MODULE_LOCATION=src/
BUILT_MODULE_NAME="ixgbe"
DEST_MODULE_LOCATION="/updates"
AUTOINSTALL="yes"

Then I add to dkms and try to build:

$ sudo dkms add ixgbe/5.3.5
Creating symlink /var/lib/dkms/ixgbe/5.3.5/source ->
                 /usr/src/ixgbe-5.3.5
DKMS: add completed.

$ sudo dkms build ixgbe/5.3.5
Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
make -j32 KERNELRELEASE=4.4.115-1.el7.elrepo.x86_64 V=1 -C src/ KERNELDIR=/lib/modules/4.4.115-1.el7.elrepo.x86_64/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 4.4.115-1.el7.elrepo.x86_64 (x86_64)
Consult /var/lib/dkms/ixgbe/5.3.5/build/make.log for more information.

$ cat /var/lib/dkms/ixgbe/5.3.5/build/make.log
DKMS make.log for ixgbe-5.3.5 for kernel 4.4.115-1.el7.elrepo.x86_64 (x86_64)
Wed Feb 14 17:08:01 EST 2018
make: Entering directory `/var/lib/dkms/ixgbe/5.3.5/build/src'
make: *** No targets.  Stop.
make: Leaving directory `/var/lib/dkms/ixgbe/5.3.5/build/src'

$ ls -l /var/lib/dkms/ixgbe/5.3.5/build/src/Makefile 
-rw-r--r--. 1 root root 6035 Dec 18 19:09 /var/lib/dkms/ixgbe/5.3.5/build/src/Makefile 

If I change directory to /var/lib/dkms/ixgbe/5.3.5/build/src and type "sudo make", the build process starts and succeeds. What am I missing? I also tried the instructions from http://xmodulo.com/build-kernel-module-dkms-linux.html, but that just gives different errors.

0

I ran into the same issue. The problem being that I unzipped into the wrong folder (make sure you the files are in /usr/src/ixgbe-version.

See this guide: https://gist.github.com/kslimani/6c289105fd21033c87d3ae378e793b69#install-ixgbe-module-with-dkms-support

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.